# Permit.js

## Overview
Permit.js makes building interactive, multi-state prototypes for websites and apps easy.

Maybe your website has certain features that are only available to logged-in members and other features only available only to administrators. Or perhaps your app has different features depending on whether it's on- or offline. Or what about the free versus paid versions? These are all examples of state.

Permit.js makes simulating those different situations a breeze. It's designed for use by anyone that does interactive protype work in HTML and CSS, including information architects and other user interface and user experience (UI/UX) professionals.

### Use Cases
*   Logged-Out / Logged-In
*   Free / Paid
*   Online / Offline
*   Writer / Editor / Publisher
*   User / Moderator / Administrator
*   Staff / Manager / Executive
*   English / French / Spanish

## Demo
*	http://www.technotarek.com/permit/permit.html

## Requirements
*	jQuery
*	jquery.cookie plugin

## Usage
Please see http://www.technotarek.com/permit/permit.html

## Change Log

###### v0.3 (3/4/2014)
*   More refactoring
*   Added Public API methods

###### v0.2 (3/2/2014)
*   Refactored JS
*   Added new permit-issue classes with custom events and redirect options

###### v0.1 (2/2014)
*	First release

## Credits
Permit.js was developed by [Tarek Anandan](http://www.technotarek.com), a freelance information architect, UX specialist, and website designer and developer based in Washington, DC.

### License
Permit.js by Tarek Anandan is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License. Really all that's important to me is that you try to [let me know](http://www.technotarek.com/contact "contact") if you implement it somewhere so I can take a peek.